Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 236493

Summary: Review Request: migemo - Japanese incremental search tool
Product: [Fedora] Fedora Reporter: Mamoru TASAKA <mtasaka>
Component: Package ReviewAssignee: Brian Pepple <bdpepple>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideFlags: bdpepple: fedora-review+
wtogami: fedora-cvs+
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-04-28 05:38:20 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 236491, 236492    
Bug Blocks:    

Comment 1 Brian Pepple 2007-04-25 21:53:35 UTC
MD5Sums:
7021c45096b6816fccf16f8389324a91  migemo-0.40.tar.gz

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All necessary BuildRequires listed.
* All desired features are enabled
* Make succeeds even when %{_smp_mflags} is defined
* Files have appropriate permissions and owners
* Rpmlint produces no errors

Blocker:
 * Package doesn't specify the ruby abi, which is a must-item in the packaging
guidelines.  Refer to http://fedoraproject.org/wiki/Packaging/Ruby

Once the blocker is fixed, this package is APPROVED.

Comment 2 Mamoru TASAKA 2007-04-25 22:19:39 UTC
Good morning! Thank you for reviewing.

> * Package doesn't specify the ruby abi, which is a must-item in the packaging
Oops....
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/migemo.spec
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/migemo-0.40-9.fc7.src.rpm

* Thu Apr 26 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.40-9
- Specify Ruby abi

Request for CVS admin:
----------------------------------------------------
New Package CVS Request
=======================
Package Name:         migemo
Short Description:    Japanese incremental search tool
Owners:               mtasaka@ioa.s.u-tokyo.ac.jp
Branches:             devel FC-6 FC-5
InitialCC:            (nobody)
-----------------------------------------------------

Comment 3 Mamoru TASAKA 2007-04-28 05:38:20 UTC
Rebuilt successfully on all branch, closing.
Thank you for reviewing and approving this package!